[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarArrayLock

get a pointer to data of a variant array

## Declaration

Source position: variants.pp line 133

`function VarArrayLock(`
`const A: Variant`
`):Pointer;`

## Arguments

`A` |  | Variant array to get data from

## Function result

A pointer to the data of the variant

## Description

VarArrayLock returns a pointer to the data of an array-typed variant A and locks the variant. The pointer can then be used to manipulate the data of the array and be sure that the data is not modified by another process or thread. While the data is not released using VarArrayUnlock the variant cannot be changed or released, it is therefor impperative that the variant is again released. Memory leaks will be the result if this is not done.

## See also

VarArrayUnlock |  | Release data captured by VarArrayLock